SIEVE-DUMP(1)

NAME
sieve-dump - Pigeonhole's Sieve script binary dump tool

SYNOPSIS

sieve-dump [options] sieve-binary [out-file]

DESCRIPTION

The sieve-dump command is part of Pigeonhole (pigeonhole(7)), which adds Sieve (RFC 5228) and ManageSieve (RFC 5804) support to Dovecot (dovecot(1)).

Using the sieve-dump command, Sieve binaries, which are produced for instance by sievec(1), can be transformed into a human-readable textual representation. This can provide valuable insight in how the Sieve script is executed. This is also particularly useful to view corrupt binaries that can result from bugs in the Sieve implementation. This tool is intended mainly for development purposes, so normally system administrators and users will not need to use this tool.

The format of the output is not explained here in detail, but it should be relatively easy to understand. The Sieve binaries comprise a set of data blocks, each of which can contain arbitrary data. For the base language implementation two blocks are used: the first containing a specification of all required language extensions and the second containing the main Sieve program. Compiled Sieve programs are represented as flat byte code and therefore the dump of the main program is a disassembly listing of the interpreter operations. Extensions can define new operations and use additional blocks. Therefore, the output of sieve-dump depends greatly on the language extensions used when compiling the binary.

OPTIONS

-c config-file

        Alternative Dovecot configuration file path.

-D

        Enable Sieve debugging.

-h

        Produce per-block hexdump output of the whole binary instead of the normal human-readable output.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-u user/mask

        Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).

-x auth_info

        auth_info specifies additional conditions for the user command. The auth_info option string has to be given as name = value pair. For multiple conditions the -x option could be supplied multiple times.

        Possible names for the auth_info are:

        service

            The service for which the userdb lookup should be tested. The value may be the name of a service, commonly used with Dovecot. For example: imap, pop3 or smtp.

session

    Session identifier.

lip

    The local IP address (server) for the test.

rip

    The remote IP address (client) for the test.

lport

    The local port, e.g. 143

rport

    The remote port, e.g. 24567

real_lip

    The local IP to which the client connected on this host.

real_rip

    The remote IP where client connected from to this host.

real_lport

    The local port to which client connected to to this host.

real_rport

    The remote port from where the client connected from to this host.

forward_<field>

    Field to forward as %{forward:field} to auth process.

ARGUMENTS

sieve-binary

        Specifies the Sieve binary file that needs to be dumped.

out-file

        Specifies where the output must be written. This argument is optional. If omitted, the output is written to stdout.

EXIT STATUS

sieve-dump will exit with one of the following values:

0

        Dump was successful. (EX_OK, EXIT_SUCCESS)

1

        Operation failed. This is returned for almost all failures. (EXIT_FAILURE)

64

        Invalid parameter given. (EX_USAGE)

FILES

/etc/dovecot/dovecot.conf

        Dovecot's main configuration file.

/etc/dovecot/conf.d/90-sieve.conf

        Sieve interpreter settings (included from Dovecot's main

        configuration file)

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

dovecot(1), dovecot-lda(1), sieve-filter(1), sieve-test(1), sievec(1), pigeonhole(7)